MH-MKSTEMP(1)

NAME
mkstemp - create a temporary file

SYNOPSIS

/usr/pkg/libexec/nmh/mkstemp [-help] [-version] [-directory directory] [-prefix prefix] [-suffix suffix]

DESCRIPTION
mkstemp creates a temporary file using mkstemp(3), or if the -suffix switch is available and used, mkstemps(3). The file name identifies a unique, newly created file, and always contains 6 characters that appear to be random.

The -directory switch specifies a directory in which to create the file.

The -prefix switch specifies an initial part, before the 6 characters, of the file name.

The -suffix switch is only supported on platforms that provide the mkstemps(3) library function. It specifies a suffix to appear after the 6 characters; if it should begin with a special character such as a period, that must be explicit in suffix.

Unlike arguments to most switches of other nmh commands, the arguments to mkstemp switches can begin with a dash.

EXIT STATUS
If mkstemp successfully creates the temporary file, it prints the file name on standard output and exits with status 0. On failure, it prints a diagnostic message on standard error and exits with status 1.

PROFILE COMPONENTS
None

SEE ALSO
mkstemp(3), mkstemps(3)

DEFAULTS
-directory
    current directory
-prefix
    none
-suffix
    none